

#include "cnapp.h"


/************************************************************************/
/************************************************************************/


void printError(int option, char * fmt, ...)
{
  int     exitProg = (option & PE_EXIT) != 0;
  va_list ap;

  va_start(ap, fmt);
  fprintf(stderr, "%s: ", PROGNAME);
  vfprintf(stderr, fmt, ap);
  va_end(ap);

  if ( errno != 0 )
  {
    fprintf(stderr, " [%s]", strerror(errno));
  }

  fprintf(stderr, "\n");

  if ( (option & PE_PRINT_SYNOPSIS) != 0 )
  {
    printSynopsis(stderr, exitProg);
  }

  if ( exitProg )
  {
    exit(EXIT_FAILURE);
  }
}


char * getOptArg(char * option, int argc, char * argv[], int * argn)
{
  (*argn)++;
  if ( *argn >= argc )
  {
    printError(PE_PRINT_SYNOPSIS | PE_EXIT,
      "argument expected for option \"%s\"", option);
  }
  return argv[*argn];
}


/************************************************************************/
/************************************************************************/


