/* Site information.
 *
 * HISTORY
 * 2003-10-14 ao
 *
 * AUTHORS
 * Andrew Openshaw
 */


/************************************************************************/
/************************************************************************/


#if !defined(CNSITES_C)
#define CNSITES_C


/************************************************************************/
/************************************************************************/


#include <ctype.h>
#include "cnutils.h"


/************************************************************************/
/************************************************************************/


enum cnESites
{
  CN_SITE_CH,
  CN_SITE_CA,
  CN_SITE_PA,
  CN_SITE_AB,
  CN_SITE_SG,
  CN_SITE_NS,
  CN_SITE_T1,
  CN_SITE_T2,
  CN_SITE_T3,
  CN_SITE_LI,
  CN_SITE_PO,
  CN_SITE_MU,
  CN_SITE_KA,
  CN_SITE_NI,
  CN_SITE_EU,

  CN_SITE_COUNT
};


typedef struct
{
  float lon;
  float lat;
} cnTSiteCoords;


/************************************************************************/
/************************************************************************/


/* The index into this is one of 'cnESites'. */
extern cnTSiteCoords cnSiteCoords[CN_SITE_COUNT];


/************************************************************************/
/************************************************************************/


/* 'site' is one of 'cnESites'.
 * 'opt'=='u' for all upper case, 'l' for all lower case, anything else
 * and the name begins with a capital letter followed by lower case.
 * Returns pointer to static memory.
 */
char * cnGetSiteName(int site, char opt);


/************************************************************************/
/************************************************************************/


#endif

