

enum EGRIBcodes
{
  /* WMO definitions, 0..127. */
  GRIB_RESERVED = 0,
  GRIB_PRESSURE,
  GRIB_PRESSURE_MSL,
  GRIB_PRESSURE_TENDENCY,
  GRIB_004,
  GRIB_005,
  GRIB_GEOPOTENTIAL,
  GRIB_GEOPOTENTIAL_HEIGHT,
  GRIB_GEOMETRIC_HEIGHT,
  GRIB_STD_DEV_HEIGHT,
  GRIB_010,
  GRIB_TEMPERATURE,
  GRIB_VIRTUAL_TEMP,
  GRIB_POT_TEMP,
  GRIB_PSEUDO_ADIABATIC_POT_TEMP,
  GRIB_MAX_TEMP,
  GRIB_MIN_TEMP,
  GRIB_DEW_POINT_TEMP,
  GRIB_DEW_POINT_DEPRESSION,
  GRIB_LAPSE_RATE,
  GRIB_VISIBILITY,
  GRIB_RADAR_SPECTRA_1,
  GRIB_RADAR_SPECTRA_2,
  GRIB_RADAR_SPECTRA_3,
  GRIB_024,
  GRIB_TEMP_ANOM,
  GRIB_PRESSURE_ANOM,
  GRIB_GEOPOTENTIAL_HEIGHT_ANOM,
  GRIB_WAVE_SPECTRA_1,
  GRIB_WAVE_SPECTRA_2,
  GRIB_WAVE_SPECTRA_3,
  GRIB_WIND_DIR,
  GRIB_WIND_SPEED,
  GRIB_WIND_U,
  GRIB_WIND_V,
  GRIB_STREAM_FUNC,
  GRIB_VEL_POT,
  GRIB_MONTGOMERY_STREAM_FUNC,
  GRIB_SIGMA_COORD_VERTICAL_VEL,
  GRIB_PRESSURE_VERTICAL_VEL,
  GRIB_GEOMETRIC_VERTICAL_VEL,
  GRIB_ABS_VORTICITY,
  GRIB_ABS_DIVERGENCE,
  GRIB_REL_VORTICITY,
  GRIB_REL_DIVERGENCE,
  GRIB_VERTICAL_SHEAR_U,
  GRIB_VERTICAL_SHEAR_V,
  GRIB_CURRENT_DIR,
  GRIB_CURRENT_SPEED,
  GRIB_CURRENT_U,
  GRIB_CURRENT_V,
  GRIB_SPEC_HUMIDITY,
  GRIB_REL_HUMIDITY,
  GRIB_HUMIDITY_MIX_RATIO,
  GRIB_PRECIPITABLE_WATER,
  GRIB_VAP_PRESSURE,
  GRIB_SAT_DEFICIT,
  GRIB_EVAPORATION,
  GRIB_CLOUD_ICE_CONTENT,
  GRIB_PRECIP_RATE,
  GRIB_THUNDERSTORM_PROB,
  GRIB_TOT_PRECIP,
  GRIB_LARGE_PRECIP,
  GRIB_CONV_PRECIP,
  GRIB_SNOW_RATE_WATER_EQUIV,
  GRIB_SNOW_DEPTH_WATER_EQUIV,
  GRIB_SNOW_DEPTH,
  GRIB_MIX_LAYER_DEPTH,
  GRIB_TRANSIENT_THERMOCLINE_DEPTH,
  GRIB_MAIN_THERMOCLINE_DEPTH,
  GRIB_MAIN_THERMOCLINE_ANOM,
  GRIB_TOT_CLOUD_COVER,
  GRIB_CONV_CLOUD_COVER,
  GRIB_LOW_CLOUD_COVER,
  GRIB_MED_CLOUD_COVER,
  GRIB_HIGH_CLOUD_COVER,
  GRIB_CLOUD_WATER,
  GRIB_077,
  GRIB_CONV_SNOW,
  GRIB_LARGE_SNOW,
  GRIB_WATER_TEMP,
  GRIB_LAND_SEA_MASK,
  GRIB_SEA_LEVEL_DEV_FROM_MEAN,
  GRIB_SFC_ROUGH,
  GRIB_ALBEDO,
  GRIB_SOIL_TEMP,
  GRIB_SOIL_MOIST_CONT,
  GRIB_VEGETATION,
  GRIB_SALINITY,
  GRIB_DENSITY,
  GRIB_WATER_RUN_OFF,
  GRIB_ICE_CONC,
  GRIB_ICE_THICK,
  GRIB_ICE_DRIFT_DIR,
  GRIB_ICE_DRIFT_SPEED,
  GRIB_ICE_DRIFT_U,
  GRIB_ICE_DRIFT_V,
  GRIB_ICE_GROWTH_RATE,
  GRIB_ICE_DIVERGENCE,
  GRIB_SNOW_MELT,
  GRIB_WIND_WAVES_SWELL_SIG_HEIGHT,
  GRIB_WIND_WAVES_DIR,
  GRIB_WIND_WAVES_SIG_HEIGHT,
  GRIB_WIND_WAVES_MEAN_PERIOD,
  GRIB_SWELL_WAVES_DIR,
  GRIB_SWELL_WAVES_SIG_HEIGHT,
  GRIB_SWELL_WAVES_MEAN_PERIOD,
  GRIB_PRIM_WAVE_DIR,
  GRIB_PRIM_WAVE_MEAN_PERIOD,
  GRIB_SECOND_WAVE_DIR,
  GRIB_SECOND_WAVE_MEAN_PERIOD,
  GRIB_SFC_NET_SW_RAD,
  GRIB_SFC_NET_LW_RAD,
  GRIB_TOA_NET_SW_RAD,
  GRIB_TOA_NET_LW_RAD,
  GRIB_LW_RAD,
  GRIB_SW_RAD,
  GRIB_GLOBAL_RAD,
  GRIB_118,
  GRIB_119,
  GRIB_120,
  GRIB_NET_LAT_HEAT_FLX,
  GRIB_NET_SENS_HEAT_FLX,
  GRIB_BL_DISSIPATION,
  GRIB_MOM_FLX_U,
  GRIB_MOM_FLX_V,
  GRIB_WIND_MIX_ENERGY,
  GRIB_IMAGE_DATA,

  /* UKMO definitions, 128... */
  GRIB_TOA_TOT_DOWN_SW,
  GRIB_TOA_TOT_UP_SW,
  GRIB_TOA_TOT_UP_LW,
  GRIB_TOA_CLEAR_UP_SW,
  GRIB_TOA_CLEAR_UP_LW,
  GRIB_SFC_TOT_DOWN_SW,
  GRIB_SFC_TOT_UP_SW,
  GRIB_SFC_TOT_DOWN_LW,
  GRIB_SFC_TOT_UP_LW,
  GRIB_PBL_HEIGHT,
  GRIB_BL_WIND_STRESS_U,
  GRIB_BL_WIND_STRESS_V,
  GRIB_CONV_CLOUD_BASE,
  GRIB_CONV_CLOUD_TOP,
  GRIB_CONV_CLOUD_BASE_KFT,   /* kft units. */
  GRIB_CONV_CLOUD_TOP_KFT,    /* kft units. */
  GRIB_SFC_PRESSURE,
  GRIB_SFC_TEMPERATURE,
  GRIB_HORIZONTAL_KE,
  GRIB_KE_CPT,
  GRIB_KE_CPT_GZ,
  GRIB_LARGE_CLOUD_FRAC,
  GRIB_CONV_CLOUD_FRAC,
  GRIB_151,
  GRIB_TEMP_1_5M,
  GRIB_SPEC_HUMIDITY_1_5M,
  GRIB_REL_HUMIDITY_1_5M,
  GRIB_WIND_U_10M,
  GRIB_WIND_V_10M,            /* 156 */

  /* last but not least. */
  GRIB_MISSING = 255
};

